LinkedIn Sitamarhi -NL- **`RISHAV SHANDILYA `[NAME]**-NL- **`+91-9983908132`[PHONES_PHONE]** -NL- **`rishav.shandilya95@gmail.com`[EMAILS_EMAIL]** -NL- **`EMPLOYMENT`[WORK_EXPERIENCE_HEADING]** -NL- **`Software Engineer `[EMPLOYER_ROLE]**-NL- **`Moonshine Technology`[EMPLOYER_COMPANY_NAME]** -NL- January 2019 - Present -NL- Project Handled -NL- • PokerBaazi – An online Poker game that offers their users a chance to play poker professionally with -NL- different types of game variants like Texas Hold’em, Omaha etc. -NL- • Worked on features:- -NL- • Game room creation & removal. -NL- • User reserve, take & leave seat in cash games. -NL- • User exit table in cash games. -NL- • Game replay. -NL- • Implemented several backend APIs like user theme updation, user balance fetch, save & fetch -NL- player notes. -NL- • Implemented generic DAO layer. -NL- • Implemented distributed transaction management. -NL- • Worked on State, Singleton, Factory design patterns. -NL- • Wrote Junit test cases for unit and integration testing. -NL- • Working experience of Java 8, Multithreaded & distributed system development. -NL- **`Functional Test Engineer `[EMPLOYER_ROLE]**-NL- **`Amdocs`[EMPLOYER_COMPANY_NAME]** -NL- March 2016 – December 2018 -NL- Projects Handled -NL- • Wrote a script to automate nearly 100 regression test cases of upgrade device feature. TestNG -NL- • Wrote a script to read data from excel and update that information on a website. This data was further used -NL- during testing phase. Manual testing time reduced by nearly 60%. PYTHON, SELENIUM WEB DRIVER, APACHE -NL- POI -NL- • Wrote a script to open ticket with necessary details to DBA team for test environment setup after every code -NL- drop. JAVA -NL- • Wrote a script to read dealer codes (some project related data) in database and store it into excel sheet. If -NL- any change occurs in DB thereafter, this script would trigger an email (on Outlook) with the changes -NL- highlighted. Croned on daily basis in Windows task scheduler. Invalid testing prevented. JAVA, APACHE POI -NL- • Wrote a script to monitor any updation to DB sequences (project related). If any invalid updation occurs, this -NL- script would trigger a mail with the invalid sequence values. Croned on daily basis in Windows task scheduler. -NL- Invalid testing prevented. JAVA -NL- • Wrote a script to monitor if a job (project related) ran or not. Croned on daily basis in Linux Crontab. Invalid -NL- testing prevented. SHELL SCRIPT -NL- • Worked on various progression and regression testing projects of AT&T web and mobile applications. -NL- • Extensive experience in test requirement gathering, documenting test scenarios, test cases, test data -NL- identification, test execution, defect prevention and reporting. -NL- **`Intern`[EMPLOYER_ROLE]** -NL- **`Defence Research & Development Lab`[EMPLOYER_COMPANY_NAME]**. -NL- June 2014 – July 2014 -NL- • Created a web portal to simplify the assessment process of DRDL employees. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- • **`PG-Diploma`[EDUCATION_DEGREE]** in **`Advanced Computing`[EDUCATION_COURSE]** from **`CDAC ACTS`[EDUCATION_INSTITUTE]** Pune, August 2015 - January 2016. Percentage: 74.13% -NL- • **`B.Tech`[EDUCATION_DEGREE]** in **`Computer Science & Engineering`[EDUCATION_COURSE]** from SKIT Jaipur, May 2015. Percentage: 62.23% -NL- • Higher Secondary Certificate Examination (CBSE Board), May 2010. Percentage: 65.4% -NL- 5 -NL- • **`Senior Secondary Certificate Examination`[EDUCATION_DEGREE]** (CBSE Board), May 2008. Percentage: 87% -NL- TOOLS & TECHNOLOGIES -NL- • Java, Shell script, C, C++, Python, Web Technologies(familiar). -NL- • MySQL, Mongo DB. -NL- • ORM tool – Hibernate. -NL- • Hazelcast IMDG, Redis. -NL- • Git. -NL- • AWS. -NL- • GitHub, BitBucket. -NL- • Eclipse, SmartFoxServer, Sourcetree, TortoiseGit, Linux (Debian and Ubuntu based distros), Postman, Visual -NL- Studio, Toad for Oracle, Putty, Xampp. -NL- • Bug tracking tools – JIRA, TDP, QC (HP Quality Center), Webtrax, iTrack, Remedy. -NL- • Automation tool – Selenium webdriver, TestNG, Ginger. -NL- ACADEMIC PROJECTS -NL- • **`Simulated Audio Vocal Machine Interface (SAM)`[PROJECT_TITLE]** (2014). A personal digital assistant which can be used to -NL- operate a computer system using human voice. C#.NET -NL- • **`Text Editor`[PROJECT_TITLE]** (2013). A text editor similar to notepad. JAVA -NL- **`AREAS OF INTEREST`[SKILLS_HEADING]** -NL- • Data Structure & Algorithms. -NL- • Competitive programming on Codechef, Hackerrank, Codingbat. -NL- 